# CocoaTweet: nlohmann::detail::span_input_adapter Class Reference

nlohmann::detail::span_input_adapter Class Reference

`#include <json.hpp>`

## Public Member Functions

template<typename CharT , typename std::enable_if< std::is_pointer< CharT >::value &&std::is_integral< typename std::remove_pointer< CharT >::type >::value &&sizeof(typename std::remove_pointer< CharT >::type)==1, int >::type = 0>
| span_input_adapter (CharT b, std::size_t l)
template<class IteratorType , typename std::enable_if< std::is_same< typename iterator_traits< IteratorType >::iterator_category, std::random_access_iterator_tag >::value, int >::type = 0>
| span_input_adapter (IteratorType first, IteratorType last)
contiguous_bytes_input_adapter && | get ()

## Constructor & Destructor Documentation

## span_input_adapter() [1/2]

template<typename CharT , typename std::enable_if< std::is_pointer< CharT >::value &&std::is_integral< typename std::remove_pointer< CharT >::type >::value &&sizeof(typename std::remove_pointer< CharT >::type)==1, int >::type = 0>

nlohmann::detail::span_input_adapter::span_input_adapter | ( | CharT | b,
|  | std::size_t | l
| ) |  |

inline

## span_input_adapter() [2/2]

template<class IteratorType , typename std::enable_if< std::is_same< typename iterator_traits< IteratorType >::iterator_category, std::random_access_iterator_tag >::value, int >::type = 0>

nlohmann::detail::span_input_adapter::span_input_adapter | ( | IteratorType | first,
|  | IteratorType | last
| ) |  |

inline

## Member Function Documentation

## get()

contiguous_bytes_input_adapter&& nlohmann::detail::span_input_adapter::get | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- third/nlohmann/json.hpp